class TEST{
    //Fr Testzwecke darf auf den Graphen selbst zugegriffen werden.
    public GRAPH_MATRIX autobahnnetz;
    //Konstruktor
    public TEST() {
        autobahnnetz = new GRAPH_MATRIX(14);
        //Zu Testzwecken werden die ersten Knoten fest angegeben.
        //Die Rckgabewerte bezeichnen den Index des Knotens.
        int fd = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Fulda",0, ""));
        int f = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Frankfurt",0, ""));
        int wue = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Wrzburg",0, ""));
        int ho = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Hof",0, ""));
        int n = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Nrnberg",0, ""));
        int r = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Regensburg",0, ""));
        int pa = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Passau",0, ""));
        int ka = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Karlsruhe",0, ""));
        int s = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Stuttgart",0, ""));
        int ul = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Ulm",0, ""));
        int a = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Augsburg",0, ""));
        int m = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Mnchen",0, ""));
        int ro = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Rosenheim",0, ""));
        int li = autobahnnetz.knotenHinzufuegen(new DATENELEMENT("Lindau",0, ""));
        //Weitere Knoten hinzufgen
        //Zu Testzwecken werden Kanten zwischen obigen Knoten festgelegt.
        autobahnnetz.kanteHinzufuegen(fd,wue,98); // adjazenzmatrix[0][2] = 98;  adjazenzmatrix[2][0] = 98;   
        autobahnnetz.kanteHinzufuegen(f,ka,127);        
        autobahnnetz.kanteHinzufuegen(f,wue,131);        
        autobahnnetz.kanteHinzufuegen(wue,s,155);
        autobahnnetz.kanteHinzufuegen(wue,ul,165);
        autobahnnetz.kanteHinzufuegen(wue,n,104);
        autobahnnetz.kanteHinzufuegen(wue,ho,192);
        autobahnnetz.kanteHinzufuegen(ho,n,116);
        autobahnnetz.kanteHinzufuegen(ho,r,166);
        autobahnnetz.kanteHinzufuegen(n,r,80);
        autobahnnetz.kanteHinzufuegen(n,m,163);
        autobahnnetz.kanteHinzufuegen(r,pa,72);
        autobahnnetz.kanteHinzufuegen(r,m,117);
        autobahnnetz.kanteHinzufuegen(ka,s,53);
        autobahnnetz.kanteHinzufuegen(s,ul,103);
        autobahnnetz.kanteHinzufuegen(ul,li,126);
        autobahnnetz.kanteHinzufuegen(ul,a,59);
        autobahnnetz.kanteHinzufuegen(a,m,64);
        autobahnnetz.kanteHinzufuegen(m,ro,60);
        
        autobahnnetz.matrixAusgebenVerbindungen();
        
        //Tiefensuche
        /*
        System.out.println("\nTiefensuche beginnend bei Augsburg");
        autobahnnetz.tiefensuche(a);
        
        System.out.println("\nTiefensuche beginnend bei Frankfurt am Main");
        autobahnnetz.tiefensuche(f);
        */
       
       //ausgeben();
       System.out.println("Wegesuche von Fulda nach Roseneheim");
       autobahnnetz.wegeSuchen(fd, ro);
        //autobahnnetz.kanteHinzufuegen(f,w,10);
        //Weitere Kanten hinzufgen
    }
}